#include<bits/stdc++.h>

using namespace std;


int vrsta[100];
int kolona[1000];

int main(){
	
	long long n;
	long long s=0;
	cin>>n;
	
	if(n==2)
	{
	
	for(int i=1;i<=2;i++)
	{
		cin>>vrsta[i];
		cin>>kolona[i];
		
		s=s+abs(kolona[i]-vrsta[i]);}
	
	
	cout<<s;
	}
	
	if(n==1)
	cout<<0;
	
	}